<?php 
$title = 'Бонусные дни';
include_once '../../sys/fnc.php';
include_once '../../sys/head.php';
echo '<div id="page-wrapper"><div class="main-page"><div class="blank-page widget-shadow scroll" id="style-2 div1"><p>';
///////////////////////////////
if ($user->position != 'admin') header('location: /');
if ($user->position == 'admin'){


// Удаление
if (isset($_GET['del'])) {

if (isset($_POST['ok'])) {
	$code = mysql_fetch_assoc(mysql_query("SELECT * FROM `bonus_days_code` WHERE `id` = '". intval($_GET['del']) ."' LIMIT 1"));
	mysql_query("DELETE FROM `bonus_days_code` WHERE `id` = '". $code['id'] ."'");
	header('Location: bonus_days.php');
	exit;
}

echo '
<div class="post">
<form method="post">
Вы уверены что хотите удалить этот код?<br>
<input type="submit" name="ok" value="Да">
</form>
</div>';
}

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `bonus_days_code`"),0);
$k_page = k_page($k_post, 10);
$page = page($k_page);
$start = 10*$page-10;
if ($k_post==0)echo "<div class='err'><center>Список пустой</center></div>";
/////////////////////////////////////////
$query = mysql_query("SELECT * FROM `bonus_days_code` ORDER BY id DESC LIMIT $start, 10");
while ($code_w = mysql_fetch_assoc($query)){			
echo '<div class="menu">';
echo ' Код: <b>'.htmlspecialchars($code_w['code']).'</b><br> Дни: +'.intval($code_w['days']).'<br />';
if ($user->position == 'admin')echo ' <a href="?del='.$code_w['id'].'">Удалить</a>';
echo '</div>';
}
/////////////////////////////////////////
if ($k_page > 1){
echo '<div class="menu"><center>';
str('?',$k_page,$page); // генерируем постраничную навигацию
echo '</center></div>';
}

switch ($_GET['act']) {
default:
echo '<div class="post"><form action="?act=do" method="post">
Название кода:<br /><input name="code" type="text" maxlength="32" value="'.generate_password().'" /><br />
Сколько дней +:<br /><input name="days" type="text" maxlength="3" /><br />
<input type="submit" value="Добавить"/></form></div>';

echo "<div class='title'>» <a href='/admin'> <b>Назад в админку</b></a></div>";

include_once '../../sys/foot.php';
break;
///////////////////////////////	
case 'do':
$code = mysql_real_escape_string($_POST['code']);
$days = intval($_POST['days']);
# проверяем, введено ли название
if (empty($_POST['code'])) {
echo '<div class="err">Вы не ввели название!<br /></div>';
include_once '../../sys/foot.php';
break;
}
///////////////////////////////
# проверяем длину названия
if (strlen($code) < 1 or strlen($code) > 31) {
echo '<div class="err">Неверная длинна названия!<br /></div>';
include_once '../../sys/foot.php';
break;
}
///////////////////////////////
# проверяем длину текста
if (strlen($days) < 1 or strlen($days) > 32) {
echo '<div class="err">Ошибка в поле "Сколько дней"<br /></div>';
include_once '../../sys/foot.php';
break;
}
# Проверка есть ли такой код
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `bonus_days_code` WHERE `code` = '". $code ."'"),0)==1){
echo '<div class="err">Ошибка<br />Такой код уже есть!</div>';
include_once '../../sys/foot.php';
break;
}
///////////////////////////////
mysql_query("INSERT INTO `bonus_days_code` SET `code` = '$code', `days` = '$days'");
///////////////////////////////
echo '<div class="err">Вы успешно код</div>';
header('location: bonus_days.php');
include_once '../../sys/foot.php';

session_destroy();
break;
}
}
///////////////////////////////
echo '</p></div></div></div>';
?>